<div nz-row nzJustify="center" class="statistics" id="statistics">
    <div nz-col nzMd="20" nzSm="22" nzLg="22" style="text-align: center;">
      <h1 class="title">STATISTICS</h1>
      <div nz-row  style="justify-content: space-between;">
        <div nz-col nzMd="20" nzSm="22" nzLg="11" >
          <nz-card class="statistics-background" [ngStyle]="{'background-image': 'url(../../../../../assets/img/RegionLost.png)'}">
            <div class="cards-statistics">
              <h2>Top 5 Citizens</h2>
              <nz-table #basicTable [nzData]="topCitizens" style="overflow-x: auto; white-space: nowrap;" [nzFrontPagination]="false" [nzShowPagination]="false">
                <thead>
                  <tr>
                    <th style="text-align: center;">Name</th>
                    <th style="text-align: center;">Experience</th>
                    <th style="text-align: center;">Strength</th>
                    <th style="text-align: center;">Military Rank</th>
                  </tr>
                </thead>
                <tbody>
                  <tr *ngFor="let citizen of basicTable.data">
                    <td style="text-align: center;">{{ citizen.name }}</td>
                    <td style="text-align: center;">{{ citizen.experience }}</td>
                    <td style="text-align: center;">{{ citizen.strength }}</td>
                    <td style="text-align: center;">{{ citizen.militaryRank }}</td>
                  </tr>
                </tbody>
              </nz-table>
            </div>
          </nz-card>
        </div>
  
        <div nz-col nzMd="20" nzSm="22" nzLg="11" >
          <nz-card class="statistics-background" [ngStyle]="{'background-image': 'url(../../../../../assets/img/DeclareWar.png)'}">
            <div class="cards-statistics">
              <h2>Top 5 Countries</h2>
              <nz-table #countryTable [nzData]="topCountries" style="overflow-x: auto; white-space: nowrap" [nzFrontPagination]="false" [nzShowPagination]="false" >
                <thead>
                  <tr>
                    <th style="text-align: center;">Name</th>
                    <th style="text-align: center;">Citizens Count</th>
                    <th style="text-align: center;">Regions Count</th>
                  </tr>
                </thead>
                <tbody>
                  <tr *ngFor="let country of countryTable.data">
                    <td style="text-align: center;">{{ country.name }}</td>
                    <td style="text-align: center;">{{ country.citizenCount }}</td>
                    <td style="text-align: center;">{{ country.regionsCount }}</td>
                  </tr>
                </tbody>
              </nz-table>
            </div>
          </nz-card>
        </div>
      </div>
    </div>
  </div>
  